DEVP_CHANGIE_VERSION = v1.24.0
DEVP_CHANGIE_DIR = ${DEVP_TOOLS_ROOT}/changie/${DEVP_CHANGIE_VERSION}
DEVP_CHANGIE_EXE = ${DEVP_CHANGIE_DIR}/changie

${DEVP_CHANGIE_EXE}:
ifdef DEVP_NO_INSTALL
ifneq ($(DEVP_VERSION),$(DEVP_CI_BUILDER_VERSION))
	$(call error_message,"Platform version is [${DEVP_VERSION}] image version is [${DEVP_CI_BUILDER_VERSION}]. Same version is expected. Updating with [make devp/update] might help. DEVP_NO_INSTALL == 1. See: https://mws.pages.mws-team.ru/devp/platform-go-tools/pgt/user/pages/platform-update.html")
	@exit 1
endif
	$(call error_message,"[changie] is expected to be installed but it is not. Please contact /duty golang for support.")
	@exit 1
endif
	$(Q) mkdir -p ${DEVP_CHANGIE_DIR}
	$(Q) CGO_ENABLED=0 GOBIN=${DEVP_CHANGIE_DIR} go install github.com/miniscruff/changie@${DEVP_CHANGIE_VERSION}
	$(call green,"changie installed as $@")

.PHONY: devp/install/changie
devp/install/changie: ${DEVP_CHANGIE_EXE}
	@# Install changie - v1.24.0
